MIPLinearInterp< MIPField_T >::InterpInfo Struct Reference

## Public Member Functions

| InterpInfo ()
| InterpInfo (const size_t l, const size_t u, const float t)

## Public Attributes

float | lerpT
| Parametric position between finest and coarser.
size_t | lower
| Finest level.
size_t | upper
| Coarser level.

## Detailed Description

template<typename MIPField_T>
struct MIPLinearInterp< MIPField_T >::InterpInfo

Definition at line 86 of file MIPInterp.h.

## Constructor & Destructor Documentation

## InterpInfo() [1/2]

template<typename MIPField_T>

MIPLinearInterp< MIPField_T >::InterpInfo::InterpInfo | ( |  | ) |

inline

Definition at line 91 of file MIPInterp.h.

: lower(0), upper(0), lerpT(0.0f)
{ }
MIPLinearInterp::InterpInfo::upper
size_t upper
Coarser level.
Definition MIPInterp.h:103
MIPLinearInterp::InterpInfo::lower
size_t lower
Finest level.
Definition MIPInterp.h:101
MIPLinearInterp::InterpInfo::lerpT
float lerpT
Parametric position between finest and coarser.
Definition MIPInterp.h:105

References lerpT, lower, and upper.

## InterpInfo() [2/2]

template<typename MIPField_T>

MIPLinearInterp< MIPField_T >::InterpInfo::InterpInfo | ( | const size_t | l,
|  | const size_t | u,
|  | const float | t )

inline

Definition at line 94 of file MIPInterp.h.

: lower(l), upper(u), lerpT(t)
{ }
MIPLinearInterp
Definition MIPInterp.h:62

References lerpT, lower, and upper.

## Member Data Documentation

## lower

template<typename MIPField_T>

size_t MIPLinearInterp< MIPField_T >::InterpInfo::lower

Finest level.

Definition at line 101 of file MIPInterp.h.

Referenced by InterpInfo(), InterpInfo(), and MIPLinearInterp< MIPField_T >::sample().

## upper

template<typename MIPField_T>

size_t MIPLinearInterp< MIPField_T >::InterpInfo::upper

Coarser level.

Definition at line 103 of file MIPInterp.h.

Referenced by InterpInfo(), InterpInfo(), and MIPLinearInterp< MIPField_T >::sample().

## lerpT

template<typename MIPField_T>

float MIPLinearInterp< MIPField_T >::InterpInfo::lerpT

Parametric position between finest and coarser.

Definition at line 105 of file MIPInterp.h.

Referenced by InterpInfo(), InterpInfo(), and MIPLinearInterp< MIPField_T >::sample().

The documentation for this struct was generated from the following file:

- export/MIPInterp.h